
 if not string.match( m_simpleTV.Control.CurrentAdress, 'tuthd%.tv' ) then return end

 --m_simpleTV.OSD.ShowMessage("TutHD event - " .. m_simpleTV.Control.Reason,0xFF00)

 if m_simpleTV.Control.Reason=='Error' or m_simpleTV.Control.Reason=='Timeout' then
       
         m_simpleTV.OSD.ShowMessage("tuthd.tv - stream server error",255,10)
         m_simpleTV.Control.Action =  'stop'
	 m_simpleTV.Control.EventPlayingInterval=0
         m_simpleTV.Control.EventTimeOutInterval=0  
	return
 end


 if m_simpleTV.Control.Reason=='Playing' then
   m_simpleTV.Control.EventPlayingInterval=0
   m_simpleTV.Control.EventTimeOutInterval=0  
end



